---
title: 506 Variant Also Negotiates
slug: Web/HTTP/Status/506
tags:
  - HTTP
  - Server error
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HyperText Transfer Protocol (HTTP) <code><strong>506 Variant Also Negotiates</strong></code> response status code may be given in the context of Transparent Content Negotiation (see <a href="https://tools.ietf.org/html/rfc2295">RFC 2295</a>). This protocol enables a client to retrieve the best variant of a given resource, where the server supports multiple variants.</p>

<p>The <code><strong>Variant Also Negotiates</strong></code> status code indicates an internal server configuration error in which the chosen variant is itself configured to engage in content negotiation, so is not a proper negotiation endpoint.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox notranslate">506 Variant Also Negotiates</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("2295", "506 Variant Also Negotiates" , "8.1")}}</td>
   <td>Transparent Content Negotiation in HTTP</td>
  </tr>
 </tbody>
</table>
